Это были безумные, но продуктивные несколько недель и команда разработчиков jQuery рада сообщить что версия jQuery 1.8.1 выпущена! Эта версия исправляет проблемы, обнаруженные сообществом после выхода финального релиза 1.8.0. Вот файлы, готовые для использования:

http://code.jquery.com/jquery-1.8.1.min.js (минфицированный и сжатый код — для рабочих версий сайтов)
http://code.jquery.com/jquery-1.8.1.js (несжатая библиотека, для отладки)

 

Окончательный набор багов которые были исправлены представлен ниже. Не забывайте, друзья, мы также любим узнавать о багах в бета-версиях и релиз-кандидатах! Вам не нужно ждать выхода финальной версии чтобы протестировать ваш код. Чем раньше мы сможем исправить баги, тем лучше будет для команды разработчиков и сообщества jQuery.

Используйте версии jQuery UI 1.8.23 и jQuery Mobile 1.1.1 или выше для лучшей совместимости с jQuery 1.8.1.

Не используйте Quirks mode! (Режим совместимости в браузерах, таких как, например, IE10/9. прим. переводчика) jQuery никогда не поддерживал Quirks mode и мы никогда не проводили тесты в этом режиме. Это может повлиять на такие значения как $(«window»).height(), и мы изменили результаты работы в этом режиме чтобы поддержать некоторые свойства современных браузеров. В большинстве случаев проблемы которые мы наблюдали, были у разработчиков, которые хотели использовать Standards mode (Стандартный режим) но имели невалидный тип документа (doctype) или постороннюю разметку перед их <html> тегом. Если сомневаетесь, используйте простой и короткий <!doctype html>.

Псевдоселекторы Sizzle, которые принимают аргументы, изменились, но jQuery 1.8.1 предоставляет совместимость для работы старого кода. Ни Sizzle, ни jQuery не документировали как это работало раньше; сейчас есть официальная документация для Sizzle. Там вы найдете примеры лучших практик написания кастомных псевдо-селекторов которые работают со всеми версиями jQuery.

Большое спасибо команде разработчиков и участникам сообщества, кто предоставлял патчи для этого релиза: Timmy Willison, Mike Sherov, Elijah Manor, Mike Pennisi, Richard Gibson, Corey Frang, Mathias Bynens, Oleg Gaidarenko, Nikita Govorov, Julian Aubourg, and Rick Waldron.

Мы также благодарны тем Вам, кто находил время создавать баг-репорты для jQuery 1.8.1. Если каким-то маловероятным образом мы не исправили некоторые баги в этом релизе, пожалуйста, дайте нам знать. Первым делом, проверьте баг-трекер на тот случай, если этот баг уже был сообщен. Если нет, создайте тест-кейс используя jsFiddle.net или jsbin.com с минимально возможным кодом, который требуется для воспроизведения проблемы.

JQUERY 1.8.1 CHANGE LOG

Ajax

  • #12233: jQuery.post() вызывает ошибку "RangeError: Maximum call stack size exceeded"
  • #12234: метод .load(), когда параметры равны null, тип ajax будет «POST», а не «GET»

Core

  • #12282: 1.8.0 регрессия – document ready срабатывает слишком рано в IE 9/10
  • #12329: event.js все еще ссылается на bindReady
  • #12350: jQuery.trim должен удалять символы byte-order-mark (BOM)
  • #12370: проблема с jquery android 2.1-update1

Css

  • #12235: getComputedStyle используется без пространства имен (namespace)
  • #12313: .height() и .width() больше не обращаются к CSS если offsetWidth не определен.
  • #12324: cssNormalTransform может предоставлять неверные значения

Data

  • #10863: метод .data не возвращает объект если JSON содержит символ новой строки.

Dimensions

  • #12283: jQuery 1.8 outerHeight возвращает undefined вместо null

Effects

  • #12273: анмация не работает с 0 продолжительностью

Event

  • #12149: обработчик события 'change' вызывает утечку памяти в IE7/8
  • #12383: селетктор jQuery.on() должен применяться только к потомкам элемента

Manipulation

  • #12346: некорректная работа fn.append
  • #12384: .after не срабатывает со строками таблицы в IE9

Queue

  • #12278: .promise(type) не работает для нестандартной очереди

Selector

  • #12205: Различные сообщения о псевдо-селекторах
  • #12237: child selector и множественные :not with :visible больше не работают
  • #12241: Предоставление отрицательного индекса для :eq вызывает синтаксическую ошибку.
  • #12285: Селектор вместе с :not(:first) не работает с версии 1.8
  • #12292: Невалидные селекторы могут вызвать отказ в работе последующих валидных селекторов
  • #12303: Атрибуты селекторов не срабатывают если значение атрибута содержит :first :last
  • #12311: jQuery 1.8 и .is(":visible")
  • #12314: фатальная ошибка $.contains в IE9 когда 2-й параметр равен null
  • #12359: создание версией 1.8.0 невалидного тега/атрибута при загрузке библиотеки
  • #12369: ajax, используйте метод find чтобы читать xml
  • #12403: Селектор "> li > :first-child,> :not(li):even" не сабатывает в старых версиях IE
  • #12409: Сообщение о Back-compat с кастомными псевдо-селекторами
  • #12412: регрессия Sizzle ":not([data-role='list-divider']):not(:hidden)"
  • #12419: Композитный селектор не срабатывает если атрибут id содержит точку.

Support

  • #12333: $.browser.webkit (undefined) -> $.browser.chrome